Package org.apache.sling.distribution.journal.impl.publisher

# Class PackageMessageFactory

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.PackageMessageFactory

@ParametersAreNonnullByDefault public class PackageMessageFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`PackageMessageFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(PackageFactoryConfiguration packageFactoryConfiguration)`
`org.apache.sling.distribution.journal.messages.PackageMessage`
`create(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, org.apache.sling.api.resource.ResourceResolver resourceResolver, String pubAgentName, org.apache.sling.distribution.DistributionRequest request)`
`org.apache.sling.distribution.journal.messages.PackageMessage`
`createTest(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.distribution.DistributionRequest request, String pubAgentName)`
`void`
`deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageMessageFactory

public PackageMessageFactory()

## Method Details

### activate

public void activate(PackageFactoryConfiguration packageFactoryConfiguration)

### deactivate

public void deactivate()

### create

public org.apache.sling.distribution.journal.messages.PackageMessage create(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, org.apache.sling.api.resource.ResourceResolver resourceResolver, String pubAgentName, org.apache.sling.distribution.DistributionRequest request) throws org.apache.sling.distribution.common.DistributionException

Throws:
  `org.apache.sling.distribution.common.DistributionException`

### createTest

@Nonnull public org.apache.sling.distribution.journal.messages.PackageMessage createTest(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.distribution.DistributionRequest request, String pubAgentName)